package cn.com.qmth.stmms.biz.exam.bean;

import java.util.List;

import javax.validation.constraints.NotNull;

import org.hibernate.validator.constraints.NotBlank;
import org.hibernate.validator.constraints.NotEmpty;

public class MarkerAdd {

    @NotEmpty(message = "userIds不能为空")
    private List<Integer> userIds;

    @NotBlank(message = "subjectCode不能为空")
    private String subjectCode;

    @NotNull(message = "groupNumber不能为空")
    private Integer groupNumber;

    public List<Integer> getUserIds() {
        return userIds;
    }

    public void setUserIds(List<Integer> userIds) {
        this.userIds = userIds;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public Integer getGroupNumber() {
        return groupNumber;
    }

    public void setGroupNumber(Integer groupNumber) {
        this.groupNumber = groupNumber;
    }

}
