package cn.com.qmth.stmms.admin.vo;

import cn.com.qmth.stmms.biz.exam.model.ExamSubject;
import cn.com.qmth.stmms.common.annotation.ExcelField;
import io.swagger.annotations.ApiModelProperty;

public class InspectedSubjectVO {

    @ExcelField(title = "科目", align = 2, sort = 10)
    @ApiModelProperty("科目")
    private String subjectText;

    @ExcelField(title = "选做科目", align = 2, sort = 20)
    @ApiModelProperty("选做科目")
    private String selectiveText;

    private ExamSubject subject;

    /**
     * 试卷总量
     */
    @ExcelField(title = "试卷总量", align = 2, sort = 30)
    @ApiModelProperty("试卷总量")
    private long totalPaperCount;

    @ExcelField(title = "任务数", align = 2, sort = 40)
    @ApiModelProperty("任务数")
    private long totalCount;

    @ExcelField(title = "已复核数", align = 2, sort = 50)
    @ApiModelProperty("已复核数")
    private long inspectedCount;

    @ExcelField(title = "待复核数", align = 2, sort = 60)
    @ApiModelProperty("待复核数")
    private long leftCount;

    @ExcelField(title = "完成进度", align = 2, sort = 70)
    @ApiModelProperty("完成进度")
    private String percent;

    @ExcelField(title = "已复核次数", align = 2, sort = 80)
    @ApiModelProperty("已复核次数")
    private Integer finishCount;

    public ExamSubject getSubject() {
        return subject;
    }

    public void setSubject(ExamSubject subject) {
        this.subject = subject;
    }

    public long getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(long totalCount) {
        this.totalCount = totalCount;
    }

    public long getInspectedCount() {
        return inspectedCount;
    }

    public void setInspectedCount(long inspectedCount) {
        this.inspectedCount = inspectedCount;
    }

    public long getLeftCount() {
        return leftCount;
    }

    public void setLeftCount(long leftCount) {
        this.leftCount = leftCount;
    }

    public String getPercent() {
        return percent;
    }

    public void setPercent(String percent) {
        this.percent = percent;
    }

    public Integer getFinishCount() {
        return finishCount;
    }

    public void setFinishCount(Integer finishCount) {
        this.finishCount = finishCount;
    }

    public long getTotalPaperCount() {
        return totalPaperCount;
    }

    public void setTotalPaperCount(long totalPaperCount) {
        this.totalPaperCount = totalPaperCount;
    }

    public String getSubjectText() {
        return subjectText;
    }

    public void setSubjectText(String subjectText) {
        this.subjectText = subjectText;
    }

    public String getSelectiveText() {
        return selectiveText;
    }

    public void setSelectiveText(String selectiveText) {
        this.selectiveText = selectiveText;
    }

}
